[youtubei.js](../../../../README.md) / [Utils](../README.md) / deepCompare

# Function: deepCompare()

> **deepCompare**(`obj1`, `obj2`): `boolean`

Defined in: [src/utils/Utils.ts:67](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/Utils.ts#L67)

Compares given objects. May not work correctly for
objects with methods.

## Parameters

### obj1

`any`

### obj2

`any`

## Returns

`boolean`
